    /*
     *  call-seq:
     *     SpanFirstQuery.new(span_query, end) -> query
     *
     *  Create a new SpanFirstQuery which matches all documents where +span_query+
     *  matches before +end+ where +end+ is a byte-offset from the start of the
     *  field
     */
    static VALUE
    frb_spanfq_init(VALUE self, VALUE rmatch, VALUE rend)
    {
        Query *q;
        Query *match;
        Data_Get_Struct(rmatch, Query, match);
        q = spanfq_new(match, FIX2INT(rend));
        Frt_Wrap_Struct(self, NULL, &frb_q_free, q);
        object_add(q, self);
        return self;
    }